Package uk.ac.starlink.topcat

# Class ColumnConverter

java.lang.Object
uk.ac.starlink.topcat.ColumnConverter

public abstract class ColumnConverter extends Object
Performs unit conversions on data values based on a given ValueInfo.

Since:
  17 Sep 2004
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`ColumnConverter()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`convertValue(Object value)`
Converts a value from its raw value to the value required for a particular purpose.
`static ColumnConverter[]`
`getConverters(uk.ac.starlink.table.ValueInfo info)`
Returns a set of converters appropriate for a given ValueInfo.
`abstract String`
`toString()`
Provides a user-understandable description of what this converter does.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ColumnConverter

public ColumnConverter()

## Method Details

### convertValue

public abstract Object convertValue(Object value)
Converts a value from its raw value to the value required for a particular purpose.

Parameters:
  `value` - raw value
Returns:
  converted value

### toString

public abstract String toString()
Provides a user-understandable description of what this converter does. Must be enough to distinguish it from distinct converters which might do the same sort of thing.

Overrides:
  `toString` in class `Object`

### getConverters

public static ColumnConverter[] getConverters(uk.ac.starlink.table.ValueInfo info)
Returns a set of converters appropriate for a given ValueInfo. If only one converter is returned, it's a unit converter (equivalent to a no-op).

Parameters:
  `info` - object describing the data which is required
Returns:
  a set of alternative converters which could be used to modify the values in a given column